#
# spec file for package python-nitrokey
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-nitrokey
Version:        0.3.1
Release:        1.1
Summary:        Nitrokey Python SDK
License:        Apache-2.0
URL:            https://github.com/Nitrokey/nitrokey-sdk-py
Source0:        https://files.pythonhosted.org/packages/source/n/nitrokey/nitrokey-%{version}.tar.gz
Source99:       python-nitrokey.rpmlintrc
BuildRequires:  %{python_module base >= 3.9.2}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module poetry-core >= 1}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-crcmod
Requires:       python-cryptography
Requires:       python-fido2
Requires:       python-hidapi
Requires:       python-protobuf
Requires:       python-pyserial
Requires:       python-requests
Requires:       python-semver
Requires:       python-tlv8
BuildArch:      noarch
%python_subpackages

%description
The Nitrokey Python SDK can be used to use and configure Nitrokey devices.

%prep
%autosetup -p1 -n nitrokey-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.md
%license LICENSES/Apache-2.0.txt LICENSES/MIT.txt
%{python_sitelib}/nitrokey
%{python_sitelib}/nitrokey-%{version}.dist-info

%changelog
* Fri Mar 28 2025 Matej Cepl <mcepl@cepl.eu>
- Add *.rpmlintrc to make rpmlint output useful.
* Fri Mar 28 2025 Johannes Kastl <opensuse_buildservice@ojkastl.de>
- update to 0.3.1:
  * nitropy.nk3.updates: Remove reboot during update
* Wed Mar 26 2025 Johannes Kastl <opensuse_buildservice@ojkastl.de>
- update to 0.3.0:
  * Bump minimum Python version from 3.9 to 3.9.2.
  * nitrokey.nk3.updates:
  - Remove UpdatePath, get_extra_information and
    get_finalization_wait_retries from public API.
  - Remove obsolete UpdateUi.request_repeated_update method.
  - Show warning when updating from bootloader mode and if the
    status command is not available.
  - Reboot devices in firmware mode before the update to make
    sure that the status is up to date.
  - Add Warning enum, show_warning and raise_warning methods to
    UpdateUi and ignore_warnings argument to UpdateUi.__init__.
  * Add support for updates to Nitrokey 3 firmware v1.8.2.
  * Add support for setting a minimum SDK version in firmware
    update containers.
  - Add an sdk field to nitrokey.trussed.FirmwareContainer.
  - Check SDK version in nitrokey.nk3.updates.Updater.update.
  - Add nitrokey.nk3.updates.Warning.SDK_VERSION variant.
* Tue Feb 18 2025 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to 0.2.4
  * The list methods of `NK3` and `NKPK` now only open the
    respective device, based on the USB vendor and product ID.
  * Use trusted publishing for PyPI.
  * Add support for `poetry-core` v2.
- Use Python 3.11 on SLE-15 by default
* Sun Nov 10 2024 Dirk Müller <dmueller@suse.com>
- Initial package (0.2.3)
